Interface AccountDetails
- All Known Implementing Classes:
AccountDetailsJson
public interface AccountDetails
An Equinix Internet Access (EIA) v1 billing account, as returned by the account lookups
GET /internetAccess/v1/accounts and GET /internetAccess/v1/accounts/{accountNumber}.
This is a read-only response view.
-
Method Summary
-
Method Details
-
getAccountNumber
String getAccountNumber()- Returns:
- the account number
-
getAccountName
String getAccountName()- Returns:
- the account name
-
getBilling
AccountBilling getBilling()- Returns:
- the billing data for the account
-
getOperationalUnits
List<AccountOperationalUnit> getOperationalUnits()- Returns:
- the operational units (IBXs and metros) associated with the account
-
getOrgId
String getOrgId()- Returns:
- the organization identifier of the account
-
getOrganizationName
String getOrganizationName()- Returns:
- the organization name of the account
-